请选择 进入手机版 | 继续访问电脑版
绿茶科技社区

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
composer的操作很多很杂,平时大都用不上,正要找又一时半会难找到
日常操作,走起
第一部分 : 安装 composer.json
  1. composer init
复制代码
这个命令创建了一个 composer.json 文件,也可以手动创建编辑,申明依赖及版本。
composer.json 内容格式详见
  1. {
  2.     "require": {
  3.         "monolog/monolog": "1.0.*"
  4.     }
  5. }
复制代码
其中版本约束 详见
  1. composer install
复制代码
创建并填写好composer.json ,执行 install 命令来进行第一次安装
第一次安装会检查里面列的软件包,依赖等,寻找合适(通过约束)的版本号
之后会生成一个锁文件 composer.lock
锁文件里记录了每一个包确切的版本号
再次执行安装的时候会检查锁文件是否存在,存在就按照锁文件中指定的直接安装

第二部分 : 向项目(已存在composer.json)中添加包
  1. composer require 依赖包/依赖包:版本号
复制代码
还可以同时添加多个 空格空开 eg:  doctrine/orm:1.0.0

第三部分 : 更新
  1. composer update
复制代码
这条命令无视锁文件,把 composer.json 里列的依赖更新一遍,重新生成锁文件

第四部分:用依赖包创建项目
  1. composer create-project  依赖包/依赖包  路径路径  版本版本
复制代码
注意 用包创建项目时,也可以指定版本,但版本约束在第三个参数,第二个参数是项目路径(相对)。未指定版本默认安装最新版本
eg: laravel/laravel path 5.8.0

附录
  • 切换中国镜像源
  1. composer config -g repo.packagist composer https://packagist.phpcomposer.com
复制代码
  • 在生产环境中,安装初始化项目使用  -o 选项。详见官方文档
    --optimize-autoloader (-o) :
    转换 PSR-0/4 autoloading 到 classmap 可以获得更快的加载支持。特别是在生产环境下建议这么做,但由于运行需要一些时间,因此并没有作为默认值。


分享到 :
0 人收藏

3 个回复

倒序浏览
Dragon龙  高级会员 | 2019-10-23 08:24:44
OMG!介是啥东东!!!
麦机长  高级会员 | 2019-11-13 04:39:52
楼下的接上
周见智  金牌会员 | 2019-11-22 07:50:08
楼下的接上
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

举报|Archiver|手机版|小黑屋|Lvchakeji Inc.  

Powered by Discuz! X3.3 © 2001-2016 Comsenz Inc.

返回顶部